#include <SerialDisplay.h>

/* SerialDisplay est une classe

  Les méthodes

	SerialDisplay(byte tx) // Le constructor par defaut un ecran de 16 x 2
	SerialDisplay(byte tx, byte sizex, byte sizey) // Le constructor alternatif qui précise la taille de
												// de l'afficheur 16 ou 20 colonnes : sizex;  2 ou 4 lignes : sizey
	SerialDisplay(Hardwarserial *ser) // Le constructor par defaut un ecran de 16 x 2 sur sortie serie matérielle
	SerialDisplay(Hardwarserial *ser, byte sizex, byte sizey) // Le constructor alternatif qui précise la taille de
												// de l'afficheur 16 ou 20 colonnes : sizex;  2 ou 4 lignes : sizey
	void Begin(long vitesse) definition de la vitesse de dialogue
	print() pour tout type de données
    println() idem
	print(float f, int nb_decimales) par defaut 2
    println(float f, int nb_decimals) idem

	write(char c)

	void Clrscr() efface l'écran
	void CursRight() bouge le curseur vers la droite
	void CursLeft()  bouge le curseur vers la gauche
	void ScrollRight() bouge tout l'écran vers la droite
	void ScrollLeft() bouge tout l'écran vers la gauche
	void Displayon() affiche on
	void Displayoff() affiche off
	void Underlineon() souligne le curseur
	void Underlineoff() curseur muet
	void Blinkingon() fait clignotter le curseur
	void Blinkingoff() arrete le clignottement
	void Posxy(byte x, byte y) positionne le curseur en x y (le coin en haut à gauche est à (1,1)
	void Clreoln() efface la fin de la ligne et passe à la suivante
	void Backlight(byte i) fait varier la puissance lumineuse i va de 1 à 31

*/

SerialDisplay S = SerialDisplay(13); // Afficheur mis en place sur broche 13
// SerialDisplay S = SerialDisplay(Serial1); // Afficheur mis en place sur serialisateur matériel serial1 broche (Tx 14, Rx 15)
SerialOut S2 = SerialOut(12); // Une sortie série simple (emission simplement) installée sur la broche 12
// SerialDisplay S2= SerialDisplay(12); // un autre afficheur
#define vitesse_transmission 9600 // la vitesse de transmission choisie

// 2400, 4800, 9600, 14400, 19200, 38400
void setup()
{
  S.begin(vitesse_transmission); // si vitesse hors des vitesses autorisées, vitesse=9600
  S2.begin(9600);
}
byte i = 0;
char char_courant = 'A';
void loop()
{
  S.Clrscr();
  S.print("ligne 1");
  for (byte i = 0; i <= 31; i++)
  {
    S.Backlight(31 - i);
    delay(100);
  }
  for (byte i = 0; i <= 31; i++)
  {
    S.Backlight(i);
    delay(100);
  }
  for (int i = 0; i < 120; i++)
  { S.Posxy(1, 2);
    S.print(i); S.print("   ");
    S.Posxy(8, 2);
    if (i < 100) {
      S.print(" ");
    };
    if (i < 10) {
      S.print(" ");
    };
    S.print(i);
    delay(50);

    S2.write(char_courant++);
    if (char_courant > 'Z') {
      char_courant = 'A';
    };
  }
  for (int i = 0; i < 5; i++)
  {
    S.Clrscr();
    S.println("AAAAAAAAAAAAAAAAAAAAAAAAAAA");
    delay(1000);
    S.println("BBBBBB");
    delay(1000);
    S.println("CCCCCCCCCCCCCC");
    delay(1000);
  }

}
